<!--
<div fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center left" style="width: 80%">
<h1 mat-dialog-title>Experiment w/ Id: {{data.expId}}</h1>
<mat-dialog-content [formGroup]="expExecForm" fxFlex.xs="100%" fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center left" style="width: 100%">
    <mat-form-field  fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center left" style="width: 100%">
      <mat-label>Action</mat-label>
        <mat-select formControlName="selectedAction">
          <mat-option *ngIf="(data.expStatus).indexOf('READY') >= 0" value="deploy">DEPLOY</mat-option>
          <mat-option *ngIf="(data.expStatus).indexOf('INSTANTIATED') >= 0" value="execute">EXECUTE</mat-option>
          <mat-option *ngIf="(data.expStatus).indexOf('INSTANTIATED') >= 0" value="terminate">TERMINATE</mat-option>
        </mat-select>
      </mat-form-field><p></p>
      <mat-form-field *ngIf="expExecForm.get('selectedAction').value == 'execute'" fxFlex.xs="100%" fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center left" style="width: 100%">
        <mat-label>Execution name</mat-label>
        <input matInput formControlName="executionName" placeholder="label" value="">
      </mat-form-field>
    </mat-dialog-content>
<mat-dialog-actions >
    <button mat-raised-button color="warn" (click)="onNoClick()">Close</button>
    <button mat-raised-button color="accent" (click)="confirmSelection()" cdkFocusInitial>Submit</button>
</mat-dialog-actions>
</div>
-->

<h1 mat-dialog-title>Experiment w/ Id: {{data.expId}}</h1>
<mat-dialog-content [formGroup]="expExecForm">
    <mat-form-field>
      <mat-label>Action</mat-label>
        <mat-select formControlName="selectedAction">
          <mat-option *ngIf="(data.expStatus).indexOf('READY') >= 0" value="deploy">DEPLOY</mat-option>
          <mat-option *ngIf="(data.expStatus).indexOf('INSTANTIATED') >= 0" value="execute">EXECUTE</mat-option>
          <mat-option *ngIf="(data.expStatus).indexOf('INSTANTIATED') >= 0" value="terminate">TERMINATE</mat-option>
        </mat-select>
      </mat-form-field><p></p>
      <mat-form-field *ngIf="expExecForm.get('selectedAction').value == 'execute'">
        <mat-label>Execution name</mat-label>
        <input matInput formControlName="executionName" placeholder="label" value="">
      </mat-form-field>
      <mat-form-field *ngIf="expExecForm.get('selectedAction').value == 'execute'">
        <mat-label>Performance Diagnostic tool</mat-label>
        <mat-select formControlName="perfDiag">
          <mat-option value="true">ENABLED</mat-option>
          <mat-option value="false">DISABLED</mat-option>
        </mat-select>
      </mat-form-field>
    </mat-dialog-content>
<mat-dialog-actions>
    <button mat-raised-button color="warn" (click)="onNoClick()">Close</button>
    <button mat-raised-button color="accent" (click)="confirmSelection()" cdkFocusInitial>Submit</button>
</mat-dialog-actions>
